Subject: Re: [PATCH 4/4] cgroups: subsystem module unloading

From: Li Zefan <[email-masked]>
Date: Mon, 28 Dec 2009 14:36:55 +0800

> Provides support for unloading modular subsystems.
> 
> From: Ben Blum <[email-masked]>
> 
> This patch adds a new function cgroup_unload_subsys which is to be used for
> removing a loaded subsystem during module deletion. Reference counting of the
> subsystems' modules is moved from once (at load time) to once per attached
> hierarchy (in parse_cgroupfs_options and rebind_subsystems) (i.e., 0 or 1).
> 
> It also adds a proper module_delete call in net/sched/cls_cgroup.c.
> 
> Signed-off-by: Ben Blum <[email-masked]>

Acked-by: Li Zefan <[email-masked]>

Also please fix comment style and add some blank lines properly.